import { PageResult, PageParams, ExamSubjectParams } from "./common";
import { DataCheckListItem, ExamStatus } from "./dataCheck";

export interface AbsentCheckListFilter {
  examId: number;
  examNumber: string;
  studentCode: string;
  name: string;
  subjectCode: string;
  examStatus: string;
  status: string;
  packageCode?: string;
}

export type AbsentCheckListParams = PageParams<AbsentCheckListFilter>;

export type AbsentCheckListResult = PageResult<DataCheckListItem>;

export interface ExamStatusSaveParams {
  id: number;
  examStatus: ExamStatus;
}

export interface ExamStatusSaveResult {
  examStatus: ExamStatus;
}

export type ImportType = "COMPARE" | "OVERRIDE";

export interface AbsentResetParams {
  examId: number;
  examNumberFillCount: number;
}
